<?php

namespace Litecms\StairStepSetting\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class StairStepSettingsTransformer extends TransformerAbstract
{
    public function transform(\Litecms\StairStepSetting\Models\StairStepSettings $stair_step_settings)
    {
        return [
            'id'                => $stair_step_settings->getRouteKey(),
            'key'               => [
                'public'    => $stair_step_settings->getPublicKey(),
                'route'     => $stair_step_settings->getRouteKey(),
            ], 
            'rank'              => $stair_step_settings->rank,
            'sponsors_number'   => $stair_step_settings->sponsors_number,
            'group_investment'  => $stair_step_settings->group_investment,
            'url'               => [
                'public'    => trans_url('stair_step_setting/'.$stair_step_settings->getPublicKey()),
                'user'      => guard_url('stair_step_setting/stair_step_settings/'.$stair_step_settings->getRouteKey()),
            ], 
            'status'            => trans('app.'.$stair_step_settings->status),
            'created_at'        => format_date($stair_step_settings->created_at),
            'updated_at'        => format_date($stair_step_settings->updated_at),
        ];
    }
}