<?php

namespace Litecms\StairStepSetting;

use User;

class StairStepSetting
{
    /**
     * $stair_step_settings object.
     */
    protected $stair_step_settings;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\StairStepSetting\Interfaces\StairStepSettingsRepositoryInterface $stair_step_settings)
    {
        $this->stair_step_settings = $stair_step_settings;
    }

    /**
     * Returns count of stair_step_setting.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.stair_step_settings.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->stair_step_settings->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\StairStepSettingsUserCriteria());
        }

        $stair_step_settings = $this->stair_step_settings->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('stair_step_setting::' . $view, compact('stair_step_settings'))->render();
    }
}
